<?php
	/*
	 Plugin Name: Flickr Foto Info
	 Plugin URI: http://sanisoft.com/blog/wordpress-plugin-flickr-foto-info/
	 Description: Show additional info about a Flickr photo embedded in your blog post.
	 Author: Tarique Sani
	 Version: 1.0
	 Author URI: http://tariquesani.net/blog/
	 */ 
	
	/*  Copyright 2010  Tarique Sani  (email : tarique@sanisoft.com)
	 
	 This program is free software; you can redistribute it and/or modify
	 it under the terms of the GNU General Public License as published by
	 the Free Software Foundation; either version 2 of the License, or
	 (at your option) any later version.
	 
	 This program is distributed in the hope that it will be useful,
	 but WITHOUT ANY WARRANTY; without even the implied warranty of
	 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 GNU General Public License for more details.
	 
	 You should have received a copy of the GNU General Public License
	 along with this program; if not, write to the Free Software
	 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	 */
	
	# Uncomment the next two lines to see error messages if things fail...
	# error_reporting(E_ALL);
	# ini_set("display_errors", 1);
	
	add_action('wp_print_scripts','myscriptvars');
	
	//Get some global js vars in the header
	function myscriptvars() {
	?>
	<script type="text/javascript">
		var api_key = "<?php echo get_option('flickrapikey') ?>";
		var pluginurl = "<?php echo WP_PLUGIN_URL ; ?>";
	</script>
	<?php
	}
	
	//Load the js scripts. The real action takes place in the flickr_toolbar.js 
	function load_scripts() {
			wp_enqueue_script('thickbox');
			
			$flickrToolbarJs = WP_PLUGIN_URL . '/flickr-foto-info/js/flickr_toolbar.js';
			
			wp_register_script('flickrToolbarJs', $flickrToolbarJs);
			wp_enqueue_script( 'flickrToolbarJs');
		
	}
	
	//Load the css
	function load_styles() {
			
			wp_enqueue_style('thickbox');

			$flickrToolbarCss = WP_PLUGIN_URL . '/flickr-foto-info/css/flickr_toolbar.css';
			
			wp_register_style('flickrToolbarCss', $flickrToolbarCss);
			wp_enqueue_style( 'flickrToolbarCss');
			
	}
		
	add_action('wp_print_styles','load_styles');	
	
	add_action('wp_print_scripts','load_scripts');
		
	add_action('wp_footer', 'load_tb_fix');
	
	
	//Make thickbox less ugly
	function load_tb_fix() {
			echo "\n" . '<script type="text/javascript">tb_pathToImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/loadingAnimation.gif"; tb_closeImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/tb-close.png";</script>'. "\n";
			echo '<style> #TB_title { background-color:#101010; height:27px; } </style>';
	}
	
	
// All the blah functions to get the admin part going...
if ( ! function_exists('wp_nonce_field') ) {
	function ffi_nonce_field($action = -1) {
		return;	
	}
	$fci_nonce = -1;
} else {
	function ffi_nonce_field($action = -1) {
		return wp_nonce_field($action);
	}
	$fci_nonce = 'ffi-update-key';
}

function ffi_config_page() {
	global $wpdb;
	if ( function_exists('add_submenu_page') )
		add_submenu_page('options-general.php', __('Flickr foto info'), __('Flickr foto info'), 'manage_options', __FILE__, 'ffi_conf');
}

function ffi_conf() {
	global $fci_nonce;
	if ( isset($_POST['submit']) ) {
		if ( function_exists('current_user_can') && !current_user_can('manage_options') )
			die(__('Cheatin&#8217; uh?'));

		check_admin_referer($fci_nonce);
		
		update_option( 'flickrapikey', $_POST[ 'flickrapikey' ] );
		update_option( 'gmapapikey', $_POST[ 'gmapapikey' ] );
		
		$updated = TRUE;	
	}
?>

<div class="wrap">
<?php
if($updated){
?>	
<div id="alert" class="updated fade">
API keys saved!
</div>
<?php	
}
?>
<h2><?php _e('Flickr foto info'); ?></h2>
	<p><?php _e( "If you use Flickr to host your photos and embed them in your posts this plugin will display a toolbar over the embedded Flickr photos to show information like location, exif, title description and much more." );?></p>
<form action="" method="post" id="fci-conf" style="margin: auto; ">
<?php ffi_nonce_field($fci_nonce) ?>
<h3><label for="key"><?php _e('Flickr Api Key'); ?></label></h3>
<p><input id="url" name="flickrapikey" type="text" size="30" maxlength="300" value="<?php echo get_option('flickrapikey'); ?>" style="font-family: 'Courier New', Courier, mono; font-size: 1.5em;" /></p>
<p>Enter the Flickr API key which you can get from <a href='http://www.flickr.com/services/apps/create/apply/' >http://www.flickr.com/services/apps/create/apply/</a> in the field above.</p>
<h3><label for="key"><?php _e('Google map Api Key'); ?></label></h3>
<p><input id="url" name="gmapapikey" type="text" size="30" maxlength="300" value="<?php echo get_option('gmapapikey'); ?>" style="font-family: 'Courier New', Courier, mono; font-size: 1.5em;" /></p>
<p>Enter the Google map API key which you can get from <a href='http://code.google.com/apis/maps/signup.html' >http://code.google.com/apis/maps/signup.html</a> in the field above.</p>
<p class="submit"><input type="submit" name="submit" value="<?php _e('Update API keys &raquo;'); ?>" /></p>
</form>

<p><?php _e( "Don't forget to visit the author's blog at <a href='http://tariquesani.net/blog/'>http://tariquesani.net/blog/</a>." ); ?>
</div>
<?php
}
add_action('admin_menu', 'ffi_config_page');
?>